Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.util
Class JAIUtil

    java.lang.Object
      |
      +--com.vistech.jai.util.JAIUtil

public class JAIUtil
extends java.lang.Object

A utility class that has statis methods to create TiledImage objects. The createTiledImage() methods creates a TiledImage object from a PlanarImage object. The aggregateImages() method aggregates multiple planar images into a single TiledImage object.

Version:
  1.0 21 Jan 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`JAIUtil()`

Method Summary
`static javax.media.jai.TiledImage` | `aggregateImages(javax.media.jai.PlanarImage[] imageset, java.awt.Dimension celldim, int cols, int rows)`
`static javax.media.jai.TiledImage` | `createTiledImage(javax.media.jai.PlanarImage image)`
`static javax.media.jai.RenderedOp` | `setConstantBorder(javax.media.jai.PlanarImage img, java.awt.Dimension border, double constVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAIUtil

    public JAIUtil()

Method Detail

### createTiledImage

    public static javax.media.jai.TiledImage createTiledImage(javax.media.jai.PlanarImage image)

### aggregateImages

    public static javax.media.jai.TiledImage aggregateImages(javax.media.jai.PlanarImage[] imageset,
                                                             java.awt.Dimension celldim,
                                                             int cols,
                                                             int rows)

### setConstantBorder

    public static javax.media.jai.RenderedOp setConstantBorder(javax.media.jai.PlanarImage img,
                                                               java.awt.Dimension border,
                                                               double constVal)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD